Unit taet1z_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, AET1Z_p;

function taet1z: String;

implementation

function taet1z: String;
var
N,I,J,IERR :Integer;
WR :Array [0..2] of Extended;
WI :Array [0..2] of Extended;
ZR :Array [0..8] of Extended;
ZI :Array [0..8] of Extended;
ORTR :Array [0..2] of Extended;
ORTI :Array [0..2] of Extended;
const
HR :Array [0..8] of Extended = ( 6.0e0,0.0e0,0.0e0,0.0e0,3.0e0,1.0e0,0.0e0,1.0e0,
3.0e0 );
HI :Array [0..8] of Extended = ( 1.0e0,0.e0,0.e0,-2.0e0,1.0e0,0.0e0,2.0e0,0.0e0,
1.0e0 );
label
_10;
begin
Result := '';  {   }
N := 3;
for I:=1 to N do
 begin
  ORTR[I-1] := 0.0e0;
  ORTI[I-1] := 0.0e0;
_10:
 end;
AET1Z(N,N,1,N,ORTR,ORTI,HR,HI,WR,WI,ZR,ZI,IERR);
Result := Result + Format('%5d ',[IERR]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for I:=1 to N do
 begin
  Result := Result + Format('%20.16f ',[WR[I-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for I:=1 to N do
 begin
  Result := Result + Format('%20.16f ',[WI[I-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for I:=1 to N do
 begin
  for J:=1 to N do
   begin
    Result := Result + Format('%20.16f ',[ZR[(I-1)+(J-1)*3]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for I:=1 to N do
 begin
  for J:=1 to N do
   begin
    Result := Result + Format('%20.16f ',[ZI[(I-1)+(J-1)*3]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
UtRes('taet1z',Result);  {     taet1z.res }
exit;
end;

end.
